net.sf.jasperreports.engine.export

## Class HtmlExporter.CellElementVisitor

- java.lang.Object
- - net.sf.jasperreports.engine.export.HtmlExporter.CellElementVisitor

- All Implemented Interfaces:
    PrintElementVisitor<TableCell>
  Enclosing class:
    HtmlExporter

      protected class HtmlExporter.CellElementVisitor
      extends java.lang.Object
      implements PrintElementVisitor<TableCell>

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `HtmlExporter.CellElementVisitor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `visit(JRGenericPrintElement printElement, TableCell cell)` Visits a generic print element.
    `void` | `visit(JRPrintEllipse ellipse, TableCell cell)` Visits a print ellipse.
    `void` | `visit(JRPrintFrame frame, TableCell cell)` Visits a print frame.
    `void` | `visit(JRPrintImage image, TableCell cell)` Visits a print image.
    `void` | `visit(JRPrintLine line, TableCell cell)` Visits a print line.
    `void` | `visit(JRPrintRectangle rectangle, TableCell cell)` Visits a print rectangle.
    `void` | `visit(JRPrintText textElement, TableCell cell)` Visits a text print element.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HtmlExporter.CellElementVisitor

          protected HtmlExporter.CellElementVisitor()

  - ### Method Detail

    - #### visit

          public void visit(JRPrintText textElement,
                   TableCell cell)

      Description copied from interface: `PrintElementVisitor`
      Visits a text print element.
      Specified by:
        `visit` in interface `PrintElementVisitor<TableCell>`
      Parameters:
        `textElement` - the element to visit
        `cell` - an argument passed for the visit

    - #### visit

          public void visit(JRPrintImage image,
                   TableCell cell)

      Description copied from interface: `PrintElementVisitor`
      Visits a print image.
      Specified by:
        `visit` in interface `PrintElementVisitor<TableCell>`
      Parameters:
        `image` - the image to visit
        `cell` - an argument passed for the visit

    - #### visit

          public void visit(JRPrintRectangle rectangle,
                   TableCell cell)

      Description copied from interface: `PrintElementVisitor`
      Visits a print rectangle.
      Specified by:
        `visit` in interface `PrintElementVisitor<TableCell>`
      Parameters:
        `rectangle` - the rectangle to visit
        `cell` - an argument passed for the visit

    - #### visit

          public void visit(JRPrintLine line,
                   TableCell cell)

      Description copied from interface: `PrintElementVisitor`
      Visits a print line.
      Specified by:
        `visit` in interface `PrintElementVisitor<TableCell>`
      Parameters:
        `line` - the line to visit
        `cell` - an argument passed for the visit

    - #### visit

          public void visit(JRPrintEllipse ellipse,
                   TableCell cell)

      Description copied from interface: `PrintElementVisitor`
      Visits a print ellipse.
      Specified by:
        `visit` in interface `PrintElementVisitor<TableCell>`
      Parameters:
        `ellipse` - the ellipse to visit
        `cell` - an argument passed for the visit

    - #### visit

          public void visit(JRPrintFrame frame,
                   TableCell cell)

      Description copied from interface: `PrintElementVisitor`
      Visits a print frame.
      Specified by:
        `visit` in interface `PrintElementVisitor<TableCell>`
      Parameters:
        `frame` - the frame to visit
        `cell` - an argument passed for the visit

    - #### visit

          public void visit(JRGenericPrintElement printElement,
                   TableCell cell)

      Description copied from interface: `PrintElementVisitor`
      Visits a generic print element.
      Specified by:
        `visit` in interface `PrintElementVisitor<TableCell>`
      Parameters:
        `printElement` - the element to visit
        `cell` - an argument passed for the visit

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com